Subject: fitsio without file access

From: Martin Beckett <mgb at ast.cam.ac.uk>
Date: Wed, 29 Jan 1997 09:06:22 +0000

I need to read and write fits files without necessarily having
a random access file, eg. to shared memory or Tcl i/o streams.
Idealy I would like the fits file to be created as just an
area in memory.

Unfortunately CFITSIO needs a real file.  I could create a 
temporary disk file and mmap() it back into memory but that
seems a bit daft.

Are there any other C/C++ fits libraries, or a patch to cfitsio
out there ?  Basically I'm too lazy to reinvent everything

	Martin

------------------------------------------------------------
Martin Beckett,   Institute of Astronomy, University of Cambridge
Tel: 01223 337093 Fax: 01223 330804      Email: mgb at ast.cam.ac.uk